#baseurl = "https://pages.gitlab.io/hugo/"
#baseurl = "https://gitlab.com/dedale/dedale.gitlab.io/"
baseurl = "https://jade-project.gitlab.io/"

contentdir    = "content"
layoutdir     = "layouts"
publishdir    = "public"
title = "JADE"
canonifyurls  = true

DefaultContentLanguage = "en"
theme = "beautifulhugo"
metaDataFormat = "yaml"
pygmentsUseClasses = true
pygmentCodeFences = true
#disqusShortname = "XXX"
#googleAnalytics = "XXX"

[Params]
  subtitle = "The Java Agent DEvelopment framework"
  logo = "img/logoJade.png"
  favicon = "img/logoJadeJ.png"
  dateFormat = "January 2, 2006"
  commit = false
  rss = true
  comments = true
  myDate = "2020"
  
[frontmatter]
    date = ["myDate","lastmod", ":fileModTime", ":default"]

#  gcse = "012345678901234567890:abcdefghijk" # Get your code from google.com/cse. Make sure to go to "Look and Feel" and change Layout to "Full Width" and Theme to "Classic"

#[[Params.bigimg]]
#  src = "img/triangle.jpg"
#  desc = "Triangle"
#[[Params.bigimg]]
#  src = "img/sphere.jpg"
#  desc = "Sphere"
#[[Params.bigimg]]
#  src = "img/hexagon.jpg"
#  desc = "Hexagon"

[Author]
  name = "Cédric Herpson"
  email = "cedric.herpson@lip6.fr"
#  facebook = "username"
#  googleplus = "+username" # or xxxxxxxxxxxxxxxxxxxxx
  gitlab = "herpsonc"
#  github = "username"
  twitter = "herpsonc"
#  reddit = "username"
#  linkedin = "username"
#  xing = "username"
#  stackoverflow = "users/XXXXXXX/username"
#  snapchat = "username"
#  instagram = "username"
#  youtube = "user/username" # or channel/channelname
#  soundcloud = "username"
#  spotify = "username"
#  bandcamp = "username"
#  itchio = "username"

[[menu.main]]
    identifier = "download"
    name = "Download"
    url = "page/download"
    weight = 1
    
[[menu.main]]
    identifier = "documentation"
    name = "Documentation"
    weight = 2

[[menu.main]]
    parent = "documentation"
    identifier = "guides"
    name = "Guides & Tutorials"
    url = "page/guidesandtutorials"
    weight = 1

[[menu.main]]
    parent = "documentation"
    identifier = "Book"
    name = "Book"
    url = "page/book"
    weight = 2

[[menu.main]]
    parent = "documentation"
    identifier = "api"
    name = "API"
    url = "API/index.html"
    weight = 3


[[menu.main]]
    name = "Community"
    identifier="community"
    weight = 3


[[menu.main]]
    parent="community"
    identifier = "news"
    name = "News"
    url="posts/"
    weight = 1

[[menu.main]]
    parent="community"
    identifier = "tchat"
    name = "Discord"
    url="https://discord.gg/m9DgNkU"
    weight = 2

[[menu.main]]
    parent="community"
    identifier = "forum"
    name = "Forum (SOF)"
    url="https://stackoverflow.com/questions/tagged/agents-jade"
    weight = 3

[[menu.main]]
    parent="community"
    identifier = "issues"
    name = "Issue reporting & Feature proposal"
    url="https://gitlab.com/jade-group/jade/issues/new"
    weight = 4

[[menu.main]]
    name = "About"
    url = "page/about/"
    weight = 4
